﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace Library
{
    public class Model
    {
        public async Task<string> GetLastTweetAsync(string handle)
        {
            string url = String.Format("http://api.twitter.com/1/statuses/user_timeline.xml?screen_name={0}", handle);

            var http = new HttpClient();
            var response = await http.GetAsync(url);

            var xml = XDocument.Load(await response.Content.ReadAsStreamAsync());
            return xml.Descendants("text").Select(x => x.Value).First();
        }
    }
}
